package com.mortals.xhx.module.apply.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.apply.model.vo.MatterApplyVo;
import lombok.Data;
/**
 * 单事项申报实体对象
 *
 * @author zxfei
 * @date 2023-06-07
 */
@Data
public class MatterApplyEntity extends MatterApplyVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    private Long siteId;
    /**
     * 单事项id
     */
    private Long singleMatterId;
    /**
     * 基础事项id
     */
    private Long matterId;
    /**
     * 部门编码
     */
    private String deptCode;
    /**
     * 单事项名称
     */
    private String matterName;
    /**
     * 申请人姓名
     */
    private String applyPerson;
    /**
     * 申请人性别
     */
    private Integer sexual;
    /**
     * 申请人电话
     */
    private String phoneNum;
    /**
     * 申请人身份证号码
     */
    private String idCard;
    /**
     * 地点
     */
    private String address;
    /**
     * 申请方式1移动端2后台
     */
    private Integer applyType;
    /**
     * 申请时间
     */
    private Date applyTime;
    /**
     * 审批状态0审批中1通过2不通过
     */
    private Integer applyState;
    /**
     * 审批意见
     */
    private String advisement;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 微信openId
     */
    private String openId;
    /**
     * 事项申请文件名称
     */
    private String filename;
    /**
     * 事项申请文件地址
     */
    private String fileUrl;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterApplyEntity) {
            MatterApplyEntity tmp = (MatterApplyEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.siteId = -1L;

        this.singleMatterId = -1L;

        this.matterId = -1L;

        this.deptCode = "";

        this.matterName = "";

        this.applyPerson = "";

        this.sexual = 1;

        this.phoneNum = "";

        this.idCard = "";

        this.address = "";

        this.applyType = 1;

        this.applyTime = null;

        this.applyState = 0;

        this.advisement = "";

        this.remarks = "";

        this.openId = "";

        this.filename = "";

        this.fileUrl = "";
    }
}